/*
 * spi.h
 *
 *  Created on: Mar 1, 2023
 *      Author: hussamaldean
 */

#ifndef SPI_H_
#define SPI_H_

#include "stdint.h"


void spi_DMA_Init(void);
void SPI_DMA_Transmit(uint8_t *data,uint32_t size);
uint8_t finished_transfer();
void reset_finished();
uint8_t finished_receive();
void SPI_DMA_Receive(uint8_t *data,uint32_t size);
void spi_transmit(uint8_t *data,uint32_t size);


void cs_low();
void cs_high();


typedef enum
{
	Tx_Done=1,
	TX_Inprogress=0

}SPI_TXStatus;

typedef enum
{
	Rx_Done=1,
	RX_Inprogress=0

}SPI_RXStatus;


#endif /* SPI_H_ */
