#include "spi.h"
#include "uart.h"
#include "MPU9250.h"

int main(void)
{

	spi_DMA_Init();

	uart2_init();

	MPU9250_beginAccel(ACC_FULL_SCALE_16_G);

	MPU9250_beginGyro(GYRO_FULL_SCALE_2000_DPS);

	while(1)
	{
		MPU9250_accelUpdate();
		MPU9250_gyroUpdate();
		printf("---------------------------------------------\r\n");
		printf("Acceleration data %0.3f %0.3f %0.3f \r\n",MPU9250_accelX(),MPU9250_accelY(),MPU9250_accelZ());
		printf("Gyroscope data %0.3f %0.3f %0.3f \r\n",MPU9250_gyroX(),MPU9250_gyroY(),MPU9250_gyroZ());
		printf("---------------------------------------------\r\n");
		for (int i=0;i<100000;i++);
	}
}
